%?mingw_package_header

Name:           mingw-readline
Version:        6.2
Release:        %mkrel 7
Summary:        MinGW port of readline for editing typed command lines

License:        GPLv2+
Group:          Development/Other
URL:            http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html
Source0:        ftp://ftp.gnu.org/gnu/readline/readline-%{version}.tar.gz

# CVE-2014-2524
Patch0:         readline-6.2-debug_fncs_security_fix.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-termcap

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-termcap


%description
The Readline library provides a set of functions that allow users to
edit command lines. Both Emacs and vi editing modes are available. The
Readline library includes additional functions for maintaining a list
of previously-entered command lines for recalling or editing those
lines, and for performing csh-like history expansion on previous
commands.

This is a port of the library and development tools to Windows.


# Win32
%package -n mingw32-readline
Summary:        MinGW port of readline for editing typed command lines

%description -n mingw32-readline
The Readline library provides a set of functions that allow users to
edit command lines. Both Emacs and vi editing modes are available. The
Readline library includes additional functions for maintaining a list
of previously-entered command lines for recalling or editing those
lines, and for performing csh-like history expansion on previous
commands.

This is a port of the library and development tools to Windows.

%package -n mingw32-readline-static
Summary:        Static version of the cross compiled readline library
Requires:       mingw32-readline = %{version}-%{release}

%description -n mingw32-readline-static
Static version of the cross compiled readline library.

# Win64
%package -n mingw64-readline
Summary:        MinGW port of readline for editing typed command lines

%description -n mingw64-readline
The Readline library provides a set of functions that allow users to
edit command lines. Both Emacs and vi editing modes are available. The
Readline library includes additional functions for maintaining a list
of previously-entered command lines for recalling or editing those
lines, and for performing csh-like history expansion on previous
commands.

This is a port of the library and development tools to Windows.

%package -n mingw64-readline-static
Summary:        Static version of the cross compiled readline library
Requires:       mingw64-readline = %{version}-%{release}

%description -n mingw64-readline-static
Static version of the cross compiled readline library.


%?mingw_debug_package


%prep
%setup -q -n readline-%{version}
%patch0 -p1


%build
%mingw_configure --enable-shared
%mingw_make SHLIB_LIBS=-ltermcap


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

# Don't want the info files or manpages which duplicate the native package.
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw32_infodir}

rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw64_infodir}

# The examples also duplicate the native package so they can be removed as well
rm -f $RPM_BUILD_ROOT%{mingw32_datadir}/readline/*.c
rm -f $RPM_BUILD_ROOT%{mingw64_datadir}/readline/*.c


# Win32
%files -n mingw32-readline
%{mingw32_bindir}/libreadline6.dll
%{mingw32_bindir}/libhistory6.dll
%{mingw32_libdir}/libreadline.dll.a
%{mingw32_libdir}/libhistory.dll.a
%{mingw32_includedir}/readline/

%files -n mingw32-readline-static
%{mingw32_libdir}/libhistory.a
%{mingw32_libdir}/libreadline.a

# Win64
%files -n mingw64-readline
%{mingw64_bindir}/libreadline6.dll
%{mingw64_bindir}/libhistory6.dll
%{mingw64_libdir}/libreadline.dll.a
%{mingw64_libdir}/libhistory.dll.a
%{mingw64_includedir}/readline/

%files -n mingw64-readline-static
%{mingw64_libdir}/libhistory.a
%{mingw64_libdir}/libreadline.a




%changelog
* Thu Apr 07 2016 tv <tv> 6.2-7.mga6
+ Revision: 999147
- security fix from FC

* Tue Feb 02 2016 umeabot <umeabot> 6.2-6.mga6
+ Revision: 932238
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.2-5.mga5
+ Revision: 743696
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.2-4.mga5
+ Revision: 682512
- Mageia 5 Mass Rebuild

* Sun Oct 27 2013 neoclust <neoclust> 6.2-3.mga4
+ Revision: 547267
- imported package mingw-readline

